<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets" template="/index2.xhtml"
	xmlns:c="http://java.sun.com/jsp/jstl/core">
	<ui:define name="content">
		<h:outputStylesheet name="css/doctolib.css"></h:outputStylesheet>

		<section class="content">
			<div class="block-header">
				<div class="row">
					<div class="col-lg-5 col-md-5 col-sm-12">
						<h2>
							All Doctors <small>Welcome to Oreo</small>
						</h2>
					</div>

					<div class="col-lg-7 col-md-7 col-sm-12 text-right">
						<button
							class="btn btn-white btn-icon btn-round hidden-sm-down float-right m-l-10"
							type="button">
							<i class="zmdi zmdi-plus"></i>
						</button>
						<ul class="breadcrumb float-md-right">
							<li class="breadcrumb-item"><a href="index.html"><i
									class="zmdi zmdi-home"></i> Oreo</a></li>
							<li class="breadcrumb-item"><a href="javascript:void(0);">Doctors</a></li>
							<li class="breadcrumb-item active">All Doctors</li>
						</ul>
					</div>
				</div>
			</div>
			<div class="container-fluid">
				<div class="row clearfix">
					<div class="col-lg-12">
						<div class="card">
							<div class="body">
								<ul class="nav nav-tabs padding-0">
									<div class="row" style="width: 60%">
										<div class="col-lg-12">
											<div class="card">
												<div class="body">
													<div class="row clearfix">
														<div class="col-sm-12">
															<div id="test" class="input-group search">
																<input type="text" id="search_input"
																	onkeyup="myFunction()" class="form-control"
																	placeholder="Search for a Doctor or Speciality" /> <input
																	id="speclink" value="#{param['spec']}" hidden="true" />
																<span class="input-group-addon"> <i
																	class="zmdi zmdi-search"></i>
																</span>
															</div>
															<div id="search" style="display: none">
																<div style="position: relative;">
																	<div id="search_output"
																		class="dl-dropdown dl-layout-container dl-layout-spacing-xs-0 dl-layout-align-xs-center"
																		style="left: 0px;"></div>
																</div>

															</div>

														</div>
													</div>
												</div>

											</div>
										</div>
									</div>
								</ul>

							</div>
						</div>
						<div class="tab-content m-t-10">
							<div class="tab-pane active" id="Permanent">
								<div class="row clearfix">
									<ui:repeat var="doctor"
										value="#{doctorBean.getDoctors(param['spec'],'',param['page'])}">
										<div class="col-lg-3 col-md-4 col-sm-6">
											<div class="card xl-blue member-card doctor">
												<div class="body">
													<div class="member-thumb">
														<img src="#{doctor.img}" class="img-fluid"
															alt="profile-image" />
													</div>
													<div class="detail">
														<h4 class="m-b-0">
															<h:outputText value="#{doctor.name}" />
														</h4>
														<p class="text-muted">
															<h:outputText value="#{doctor.speciality}" />
														</p>
														<ul class="social-links list-inline m-t-20">
															<li><a title="facebook" href="#"><i
																	class="zmdi zmdi-facebook"></i></a></li>
															<li><a title="twitter" href="#"><i
																	class="zmdi zmdi-twitter"></i></a></li>
															<li><a title="instagram" href="#"><i
																	class="zmdi zmdi-instagram"></i></a></li>
														</ul>
														<p class="text-muted">
															<h:outputText value="#{doctor.address}" />
														</p>
														<h:form>
														<h:commandButton  class="btn btn-default btn-round btn-simple" action="#{doctorBean.getDoctorByPath(doctor.path)}" value="View
															Profile" />
															</h:form>
													</div>
												</div>
											</div>
										</div>
									</ui:repeat>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<nav aria-label="" class="add_top_20">
				<ul class="pagination pagination-sm" style="float: right">
					<li class="page-item"><a class="page-link" id="NextPage"
						onclick="next()" tabindex="-1">Next Page</a></li>
				</ul>
				<ul class="pagination pagination-sm">
					<li class="page-item"><a class="page-link"
						onclick="previous()" id="PreviousPage">Previous Page</a></li>
				</ul>
			</nav>
			<script>
					var url_string =window.location.href;
					var url = new URL(url_string);
					var c = url.searchParams.get("page");
						alert(c);
						if(c==null || c=="1"){
								$('#PreviousPage').hide();
								c="1";
							}
						function next() {
							c++;
				
							var spec=document.getElementById('speclink').value;
							//var place=document.getElementById('searchTextField').value;
							window.location.href="http://localhost:18080/Epione_JEE-web/Doctor/listdoctors.jsf?spec="+spec+"&amp;place=&amp;page="+c;
							
						}
function previous() {
	c--;
	var spec=document.getElementById('speclink').value;
	//var place=document.getElementById('searchTextField').value;
	window.location.href="http://localhost:18080/Epione_JEE-web/Doctor/listdoctors.jsf?spec="+spec+"&amp;place=&amp;page="+c;
						}
						
					</script>
			<!-- /pagination -->
		</section>


		<script>
                            
                                       
													function myFunction() {
														  $(document).mouseup(function (e) {
								                                 var container = $("#search");
																	
								                                 // if the target of the click isn't the container nor a descendant of the container
								                                 if (!container.is(e.target) &amp;&amp; container.has(e.target).length === 0) {
								                                     container.hide();
								                                    
								                                 }
								                             });
														if ($("#search_input").val() == "") {
			                                                $("#search").hide();
			                                            } else {
			                                                $("#search").show();
			                                            }
														 if ($("#search_input").val() != "") {
															// var place=$("#searchTextField").val() ;
				                                                var i = $("#search_input").val();
				                                                $.ajax({
				                                                    type: "GET",
				                                                    url: "http://localhost:18080/Epione_JEE-web/Doctor/search.jsf",
				                                                    dataType: 'json',
				                                                    data:{'search':i},
				                                                    success: function (data) {
				                                                        $('#search_output').empty();
				                                                        $.each(data, function (key, value) {
				                                                        	   if (key == 'specialities') {
				                                                        		   $('#search_output').append('<div>Specialities</div>');
				                                                                   $.each(value, function (k, v) {
				                                                                       $('#search_output').append('<div onmouseover="this.style.background=' + '\'#ccecfa' + '\';" onmouseout="this.style.background=' + '\'white' + '\';" onclick="document.getElementById(\'search_input\').value='+'\''+v.name+'\''+';document.getElementById(\'speclink\').value='+'\''+v.slug+'\''+';$(\'#search\').hide();" class="searchbar-result">'
				                                                             + '<div class="searchbar-result-speciality">'
				                                                                 + '<span>' + v.name + ' </span>'
				                                                            + ' </div>'
				                                                        + ' </div>');
				                                                                   });
				                                                               }
				                                                        	 if (key == 'profiles') {
				                                                        		 $('#search_output').append('<div>Doctors</div>');
				                                                                 $.each(value, function (k, v) {
					                                                                
				                                                                     $('#search_output').append('<div onmouseover="this.style.background=' + '\'#ccecfa' + '\';" onmouseout="this.style.background=' + '\'white' + '\';" onclick="location.href=' + '\'http://localhost:18080/Epione_JEE-web/Doctor/doctorByAjax.jsf?path=' + v.link +'\';" class="searchbar-result searchbar-result-profile-wrapper">'
				                                                  + ' <div class="searchbar-result-profile">'
				                                                      + '<div class="searchbar-result-profile-avatar">'
				                                                         + '<img src="//res.cloudinary.com/doctolib/image/upload/q_auto,f_auto,dpr_2/w_62,h_62,c_fill,g_face/' + v.cloudinary_public_id + '" class="dl-image dl-image-rounded"/>'
				                                                       +'</div>'
				                                                       +'<div class="searchbar-result-profile-details">'
				                                                       + '    <span>' + v.name + '</span>'
				                                                        +'   <div class="searchbar-result-profile-subtitle">'
				                                                        + '       <span>         ' + v.kind + ' - '+v.city+'      </span>'
				                                                          +' </div>'
				                                                      +' </div>'
				                                                   +'</div>'
				                                               +'</div>');
				                                                                 });
				                                                             }
					                                                        });
				                                                    }
				                                                    ,
				                                                    error: function (error) {
					                                                    console.log(error);
				                                                        alert('verify your Connection Or '+ error);
				                                                    }
				                                                });
				                                            }
													}
													
                                   
										
                                    </script>

		<a id="searchcustomer"><p:inputText onclick="redirct()"
				type="submit" value="Search"></p:inputText></a>
		<script>
							function redirct() {
								var spec=document.getElementById('speclink').value;
								//var places=document.getElementById('locality').value;
								alert(places);
								window.location.href="http://localhost:18080/Epione_JEE-web/Doctor/listdoctors.jsf?spec="+spec+"&amp;place="+places.toLowerCase();
							}
								</script>
		<script>
	function activatPlaces() {
		var input = document.getElementById('searchTextField');
		var options = {
				  types: ['(cities)'],
				  componentRestrictions: {country: 'fr'}
				};
		var autocomplete = new google.maps.places.Autocomplete(input,options);
		google.maps.event.addListener(autocomplete, 'place_changed', function(){
	         var place = autocomplete.getPlace();
				document.getElementById('locality').value=place.address_components[0].short_name;
		      });
}
					</script>
	</ui:define>
</ui:composition>